Loading...
Searching...
No Matches
pqxx::string_traits< char * > Struct Reference

String traits for non-const C-style string ("pointer to char"). More...

## Static Public Member Functions

static char * | into_buf (char *begin, char *end, char *const &value)
static zview | to_buf (char *begin, char *end, char *const &value)
static std::size_t | size_buffer (char *const &value) noexcept
static char * | from_string (std::string_view)=delete
| Don't allow conversion to this type since it breaks const-safety.

## Static Public Attributes

static constexpr bool | converts_to_string {true}
static constexpr bool | converts_from_string {false}

## Detailed Description

String traits for non-const C-style string ("pointer to char").

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx